%define pkg_name        Term-Clui
%define pkg_version     1.40
%define rpm_pkg_version 1.40
%define rpm_pkg_release 1.n0i.6

Summary:       Perl module offering a Command-Line User Interface
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PJ/PJB/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Term::Clui offers a high-level user interface to give the user of
command-line applications a consistent "look and feel". Its metaphor for
the computer is as a human-like conversation-partner, and as each
question/response is completed it is summarised onto one line, and remains
on screen, so that the history of the session gradually accumulates on the
screen and is available for review, or for cut/paste.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.40-1.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.40

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 1.35-1.n0i.5
- version 1.35

* Tue Sep 20 2005 Marius Feraru <altblue@n0i.net> 1.34-1.n0i.4
- version 1.34

* Fri Sep 16 2005 Marius Feraru <altblue@n0i.net> 1.33-1.n0i.3
- version 1.33

* Tue Sep 06 2005 Marius Feraru <altblue@n0i.net> 1.31-1.n0i.2
- version 1.31

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 1.30-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
